# $Revision: 1.35 $, $Date: 2002/09/28 17:52:13 $
Summary:	AppleTalk networking programs
Summary(pl):	Klient i serwer AppleTalk
Summary(pt_BR):	Programas para rede AppleTalk
Name:		netatalk
Version:	1.5.5
Release:	1
Epoch:		2
License:	BSD
Group:		Daemons
Source0:	ftp://download.sourceforge.net/pub/sourceforge/netatalk/%{name}-%{version}.tar.bz2
Source1:	%{name}.init
Source2:	%{name}.pamd
Source3:	%{name}.sysconfig
Source4:	ICDumpSuffixMap
Patch0:		%{name}-makefile-am.patch
Patch1:		%{name}-1.5.3.1-msgdir.patch
Patch2:		%{name}-no_libnsl.patch
URL:		http://www.umich.edu/~rsug/netatalk/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cracklib-devel
BuildRequires:	db3-devel
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
Requires(post,preun):/sbin/chkconfig
Requires(post):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_initdir	/etc/rc.d/init.d

%description
This package enables Linux to talk to Macintosh computers via the
AppleTalk networking protocol. It includes a daemon to allow Linux to
act as a file server over EtherTalk or IP for Mac's.

%description -l pl
Pakiet ten pozwala na komunikacje kumputerw OS Linux z Macintosh za
porednictwem protokou AppleTalk. Uczyni twojego Linux-a serwerem
oraz klienta plikw i wydrukw zarwno za porednictwem protokou
EtherTalk jaki IP for Mac's.

%description -l pt_BR
Este pacote habilita o Linux a servir computadores Macintosh atravs
do protocolo AppleTalk.

%package devel
Summary:	Headers and static libraries for Appletalk development
Summary(pl):	Pliki nagwkoew i biblioteki statyczne Appletalk
Summary(pt_BR):	Arquivos de incluso e bibliotecas para o desenvolvimento de aplicativos baseados no protocolo AppleTalk
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This packge contains the header files, and static libraries for
building Appletalk networking programs.

%description devel -l pl
Pakiet ten zawiera pliki nagwkowe i biblioteki statyczne serwera
AppleTalk

%description devel -l pt_BR
Arquivos de incluso e bibliotecas para o desenvolvimento de
aplicativos baseados no protocolo AppleTalk.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__gettextize}
%{__libtoolize}
aclocal -I macros
%{__autoconf}
%{__automake}
autoheader
%configure \
	--with-config-dir=%{_sysconfdir}/atalk \
	--with-pkgconfdir=%{_sysconfdir}/atalk \
	--with-uams-path=%{_libdir}/atalk \
	--with-msg-dir=%{_sysconfdir}/atalk/msg \
	--enable-lastdid \
	--enable-timelord \
        --with-cracklib=%{_datadir}/dict/cracklib_dict \
        --with-pam \
        --with-shadow \
        --with-tcp-wrappers \
        --with-ssl \
        --enable-pgp-uam

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/{rc.d/init.d,pam.d,security,sysconfig,atalk/msg,atalk/nls} \
	$RPM_BUILD_ROOT%{_libdir}/atalk \
	$RPM_BUILD_ROOT%{_mandir}/{man1,man3,man4,man8}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	m4datadir=%{_aclocaldir}

install etc/afpd/nls/{makecode,parsecode} $RPM_BUILD_ROOT/%{_bindir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_initdir}/atalk
install %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/netatalk
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/netatalk
install %{SOURCE4} .

> $RPM_BUILD_ROOT/etc/security/blacklist.netatalk

# to avoid conflict with glibc-devel
rm -f $RPM_BUILD_ROOT%{_includedir}/atalk/at.h
rm -f $RPM_BUILD_ROOT%{_includedir}/netatalk/at.h

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add atalk
if [ "$1" = "1" ] ; then
	echo "Run \"%{_initdir}/atalk start\" to start netatalk." >&2
fi

%preun
if [ "$1" = "0" ]; then
	%{_initdir}/atalk stop >&2
	/sbin/chkconfig --del atalk
fi

%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES ChangeLog ICDu* NEWS README TODO VERSION
%doc services.atalk doc
%dir %{_sysconfdir}/atalk/msg
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/atalk/nls/*
%config(noreplace) %verify(not size mtime md5)%{_sysconfdir}/atalk/AppleVolumes.default
%config(noreplace) %verify(not size mtime md5)%{_sysconfdir}/atalk/AppleVolumes.system
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/netatalk
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/atalk/afpd.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/atalk/atalkd.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/atalk/papd.conf

%attr(755,root,root) %config %{_initdir}/atalk
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/pam.d/netatalk
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/security/blacklist.netatalk

%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_bindir}/[^n]*
%attr(755,root,root) %{_bindir}/n[^e]*
%attr(755,root,root) %{_bindir}/netatalkshorternamelinks.pl
%attr(755,root,root) %{_libdir}/atalk/*.so
%{_mandir}/*/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/netatalk-config
%attr(644,root,root) %{_libdir}/libatalk.a
%attr(755,root,root) %{_libdir}/libatalk.la
%attr(644,root,root) %{_libdir}/atalk/*.a
%attr(755,root,root) %{_libdir}/atalk/*.la
%{_includedir}/atalk
%{_includedir}/netatalk/*
%{_aclocaldir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: netatalk.spec,v $
Revision 1.35  2002/09/28 17:52:13  kloczek
- remove rc-scripts from Requires,
- use new %doc.

Revision 1.34  2002/09/25 18:46:28  marcus
- s/rc/rc-scripts/g

Revision 1.33  2002/09/25 17:37:01  marcus
- updated to 1.5.5
- FIX: papd: *buffer overflow* during config file read (Olaf Hering)

Revision 1.32  2002/06/23 20:52:53  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.31  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.30  2002/05/21 23:14:13  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.29  2002/04/29 18:43:37  filon
- added requirement for rc (required by some scripts)
- release 5

Revision 1.28  2002/04/20 11:15:55  kloczek
- remove glibc-static from BuildRequires (librpcsvc.a is now in glibc-devel),
- added no_libnsl patch.

Revision 1.27  2002/04/18 19:31:59  marcus
- fixed cracklib dictionary path
- rel.4.

Revision 1.26  2002/04/12 13:11:52  qboosh
- removed netatalk-config from base (it's in -devel) and include/netatalk dir from -devel
  (it's in glibc-devel)
- fixed post/preun/postun
- release 3

Revision 1.25  2002/04/09 02:08:44  kloczek
- release 2: Epoch: 2 (for allow upgrade from RH).

Revision 1.24  2002/03/31 18:45:25  marcus
- new version 1.5.3.1, fixed some bugs, for example "Photoshop open file bug"
thanks to Troy Engel <tengel@fluid.com>

Revision 1.23  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.22  2002/03/19 03:04:26  marcus
- new version 1.5.2

Revision 1.21  2002/02/25 00:47:24  kloczek
- cosmetics.

Revision 1.20  2002/02/25 00:14:31  speedy
- release 2, STBR
- now builds. [avoid conflict with glibc-devel, more BuildReqs]

Revision 1.19  2002/02/23 04:05:39  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/18 02:14:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2002/01/07 20:52:15  marcus
- fixed Makefile.am in contrib

Revision 1.15  2002/01/07 19:28:15  kloczek
- added missing "-I macros" to aclocal parameters on regenerate aclocal.m4,
- remove from %post/%postun /etc/services manipulations,
- added somo files to %files)
NOTE: NYF.

Revision 1.14  2002/01/07 18:41:59  marcus
- start upgrade to final 1.5.0 (ac/am need fix)

Revision 1.13  2002/01/07 17:52:48  marcus
- starting update to 1.5rc2 (Patch0 is probably obsolete)

Revision 1.12  2001/12/28 13:50:11  qboosh
- cosmetics

Revision 1.11  2001/12/07 21:12:45  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.10  2001/10/12 15:57:10  marcus
- corrected cracklib dictionary path
- release 2, STBR

Revision 1.9  2001/10/11 00:25:49  kloczek
- next typo.

Revision 1.8  2001/10/11 00:25:16  kloczek
- typo.

Revision 1.7  2001/10/11 00:22:24  kloczek
- added translations stolen from CNV
- spec adapterized and some cosmetics.

Revision 1.6  2001/10/10 17:23:44  marcus
- cleanups

Revision 1.5  2001/10/10 17:14:14  marcus
- new version 1.5pre8
- new PLD-style atalk.init

Revision 1.4  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.2  2000/10/16 20:33:49  kloczek
- new Source url and added URL,
- adapterized and few other minor changes.

Revision 1.1  2000/10/16 20:27:37  kloczek
- spec prepared by marekk@takt.com.pl.

Revision 1.00  2000/08/17 12:58:30  marekk@takt.com.pl
-adaptarised to PLD spec
-remove Rewhide pam and added PLD
-adaprarised netatalk.init


* Thu Jul 06 2000 Tim Powers <timp@redhat.com>
- fixed broken PreReq, now PreReq's /etc/init.d

* Tue Jun 27 2000 Than Ngo <than@redhat.de>
- remove prereq initscripts, add requires initscripts
- clean up specfile

* Mon Jun 26 2000 Than Ngo <than@redhat.de>
- /etc/rc.d/init.d -> /etc/init.d
- add condrestart directive
- fix post/preun/postun scripts
- prereq initscripts >= 5.20

* Tue Jun 20 2000 Tim Powers <timp@redhat.com>
- fixed bug 11420 concerning the building with -O2.

* Thu Jun 8 2000 Tim Powers <timp@redhat.com>
- fix bug #11978
- fix man page locations to be FHS compliant

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify PAM setup to use system-auth

* Thu Dec 16 1999 Tim Powers <timp@redhat.com>
- renewed source so it is pristine, delete the problematic files in spec file
	instead
- general spec file cleanups, create buildroot and dirs in the %install
	section
- strip binaries
- gzip man pages
- fixed netatalk-asun.librpcsvc.patch, -lnss_nis too
- changed group
- added %defattr to %files section

Based on spec by iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>.
